package product

import (
	"net/http"

	"tydata-server/app/main/api/internal/logic/product"
	"tydata-server/app/main/api/internal/svc"
	"tydata-server/app/main/api/internal/types"
	"tydata-server/common/result"
	"tydata-server/pkg/lzkit/validator"

	"github.com/zeromicro/go-zero/rest/httpx"
)

func GetProductAppByEnHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.GetProductByEnRequest
		if err := httpx.Parse(r, &req); err != nil {
			result.ParamErrorResult(r, w, err)
			return
		}
		if err := validator.Validate(req); err != nil {
			result.ParamValidateErrorResult(r, w, err)
			return
		}
		l := product.NewGetProductAppByEnLogic(r.Context(), svcCtx)
		resp, err := l.GetProductAppByEn(&req)
		result.HttpResult(r, w, resp, err)
	}
}
